POST api/DriverShift/DRIVER-SHIFT-CAL

Request Information

URI Parameters

None.

Body Parameters

DriverShift
NameDescriptionTypeAdditional information
details

Details

None.

DRIVER_ID

string

None.

begin_time

string

None.

end_time

string

None.

description

string

None.

CLIENT_ID

string

None.

DEPOT_ID

string

None.

DRIVER_CLASS_ID

string

None.

SHIFT_TYPE_ID

string

None.

SHIFT_ID

string

None.

SHIFT_FLAG

string

None.

AVAILIBILITY_ID

string

None.

ASSIGN_ID

string

None.

HIRER_ID

string

None.

date

string

None.

DRIVER_SHIFT_ID

string

None.

STATUS

string

None.

USER_ID

integer

None.

IGNORE

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "details": {
    "formName": "sample string 1",
    "userId": "sample string 2"
  },
  "DRIVER_ID": "sample string 1",
  "begin_time": "sample string 2",
  "end_time": "sample string 3",
  "description": "sample string 4",
  "CLIENT_ID": "sample string 5",
  "DEPOT_ID": "sample string 6",
  "DRIVER_CLASS_ID": "sample string 7",
  "SHIFT_TYPE_ID": "sample string 8",
  "SHIFT_ID": "sample string 9",
  "SHIFT_FLAG": "sample string 10",
  "AVAILIBILITY_ID": "sample string 11",
  "ASSIGN_ID": "sample string 12",
  "HIRER_ID": "sample string 13",
  "date": "sample string 14",
  "DRIVER_SHIFT_ID": "sample string 15",
  "STATUS": "sample string 16",
  "USER_ID": 17,
  "IGNORE": 18
}

application/xml, text/xml

Sample:
<DriverShift xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HGVDG_API.Controllers.Driver">
  <ASSIGN_ID>sample string 12</ASSIGN_ID>
  <AVAILIBILITY_ID>sample string 11</AVAILIBILITY_ID>
  <CLIENT_ID>sample string 5</CLIENT_ID>
  <DEPOT_ID>sample string 6</DEPOT_ID>
  <DRIVER_CLASS_ID>sample string 7</DRIVER_CLASS_ID>
  <DRIVER_ID>sample string 1</DRIVER_ID>
  <DRIVER_SHIFT_ID>sample string 15</DRIVER_SHIFT_ID>
  <HIRER_ID>sample string 13</HIRER_ID>
  <IGNORE>18</IGNORE>
  <SHIFT_FLAG>sample string 10</SHIFT_FLAG>
  <SHIFT_ID>sample string 9</SHIFT_ID>
  <SHIFT_TYPE_ID>sample string 8</SHIFT_TYPE_ID>
  <STATUS>sample string 16</STATUS>
  <USER_ID>17</USER_ID>
  <begin_time>sample string 2</begin_time>
  <date>sample string 14</date>
  <description>sample string 4</description>
  <details xmlns:d2p1="http://schemas.datacontract.org/2004/07/HGVDG_API">
    <d2p1:formName>sample string 1</d2p1:formName>
    <d2p1:userId>sample string 2</d2p1:userId>
  </details>
  <end_time>sample string 3</end_time>
</DriverShift>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DriverShift'.

Response Information

Resource Description

DataTable
NameDescriptionTypeAdditional information
CaseSensitive

boolean

None.

IsInitialized

boolean

None.

RemotingFormat

SerializationFormat

None.

ChildRelations

Collection of Object

None.

Columns

Collection of Object

None.

Constraints

Collection of Object

None.

DataSet

DataSet

None.

DefaultView

Collection of Object

None.

DisplayExpression

string

None.

ExtendedProperties

Dictionary of Object [key] and Object [value]

None.

HasErrors

boolean

None.

Locale

CultureInfo

None.

MinimumCapacity

integer

None.

ParentRelations

Collection of Object

None.

PrimaryKey

Collection of DataColumn

None.

Rows

Collection of Object

None.

TableName

string

None.

Namespace

string

None.

Prefix

string

None.

Site

ISite

None.

Container

IContainer

None.

DesignMode

boolean

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.